Package ru.bitel.bgbilling.modules.rentsoft.common.bean

# Class RentsoftPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.rentsoft.common.bean.RentsoftPayment

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class RentsoftPayment
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_CHARGED` |
  `static int` | `STATUS_UNCHARGED` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RentsoftPayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `int` | `getProductId()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getTxid()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int cid)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setStatus​(int status)` |
  `void` | `setTxid​(java.lang.String txid)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_CHARGED

    public static final int STATUS_CHARGED
    See Also:
      Constant Field Values

  - ### STATUS_UNCHARGED

    public static final int STATUS_UNCHARGED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### RentsoftPayment

    public RentsoftPayment()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int cid)

  - ### getTxid

    public java.lang.String getTxid()

  - ### setTxid

    public void setTxid​(java.lang.String txid)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### setStatus

    public void setStatus​(int status)

  - ### getStatus

    public int getStatus()

  - ### setProductId

    public void setProductId​(int productId)

  - ### getProductId

    public int getProductId()